Skip to main content
PATCH
Update Knowledge Context

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_context_id
string
required

Body

multipart/form-data
title
string | null

New title. Omit to leave unchanged.

content
string | null

New content body. Omit to leave unchanged.

generic_tags
string[] | null

Replacement tag list — replaces all existing tags. Omit to leave unchanged.

product_scopes
enum<string>[] | null

Replacement product scope list — replaces all existing scopes. Omit to leave unchanged.

Available options:
APPSTORE,
ACCESS_REVIEWS,
ALBUS,
GLOBAL,
ALBUS_DEEP_RESEARCH,
IDENTITY_INTELLIGENCE
clear_attachment
boolean
default:false

When true, removes the existing file attachment without uploading a new one.

file
file | null

Replacement file attachment. Omit to leave existing file unchanged.

Response

Successful Response

id
string
required

UUID of the knowledge entry.

title
string
required

Title of the knowledge entry.

generic_tags
string[]
required

Freeform tag strings attached to the entry.

application_tags
ApplicationTagOutput · object[]
required

Application tags attached to the entry.

product_scopes
enum<string>[]
required

Products that can consume this knowledge entry.

Available options:
APPSTORE,
ACCESS_REVIEWS,
ALBUS,
GLOBAL,
ALBUS_DEEP_RESEARCH,
IDENTITY_INTELLIGENCE
content
string | null

Body text of the knowledge entry (markdown supported).

file_url
string | null

URL of the attached file, if any.

created_at
string<date-time> | null

ISO 8601 creation timestamp.

updated_at
string<date-time> | null

ISO 8601 last-updated timestamp.